/* fastafile.h */

/*****************************************************************
        Copyright by Rockefeller University,
can not be reproduced or distributed without written permission of
the copyright holder.  Version 1.1 of April 2006.

Written by Alexandre Morozov (contact person: morozov@edsb.rockefeller.edu),
and Eric Siggia.

The program DYNAPRO implements a dynamic programming algorithm for predicting
DNA occupancies by arbitrary objects whose interaction energies with DNA are
known for each possible binding position.

The DYNAPRO method and its applications are described in the following
paper:

******************************************************************/

#ifndef _fastafile_h_
#define _fastafile_h_

#include "sequence.h"

//#define MAX_NUM_SEQUENCES 10000
#define MAX_NUM_SEQUENCES 50

class FastaFile {
  Sequence *_sequences[MAX_NUM_SEQUENCES];
  int _numSequences;
public:
  FastaFile();
  void ReadFasta(char *filename);
  ~FastaFile();
  int Size();
  Sequence *operator[](int index);
  void Add(Sequence *);
};

#endif
