/* options.h */

/*****************************************************************
        Copyright by Rockefeller University,
can not be reproduced or distributed without written permission of
the copyright holder.  Version 1.1 of April 2006.

Written by Alexandre Morozov (contact person: morozov@edsb.rockefeller.edu),
and Eric Siggia.

The program DYNAPRO implements a dynamic programming algorithm for predicting
DNA occupancies by arbitrary objects whose interaction energies with DNA are
known for each possible binding position.

The DYNAPRO method and its applications are described in the following
paper:

******************************************************************/

#ifndef _UTIL_H_
#define _UTIL_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <string>

// WARNING: option name should NOT be a substring of any other option name (eg -PDB is a substring of -PDB_id so -PDB is not allowed).
// Otherwise the ReadArguments function will mix them up!!

struct Options {
  char *fasta; // use char* for back-compatibility
  std::string et;
  std::string out;
  std::string bkgr;
  std::string enforceP;
  double bw; // strand bias
  Options() { fasta = NULL; et = "none"; out = "table.occ"; bkgr = "uniform";
              enforceP = "none"; bw = 0.5; }
};

struct Options *ReadArguments(int &argbase, int argc, char **argv);

#endif

