/* stats.h */

/*****************************************************************
        Copyright by Rockefeller University,
can not be reproduced or distributed without written permission of
the copyright holder.  Version 1.1 of April 2006.

Written by Alexandre Morozov (contact person: morozov@edsb.rockefeller.edu),
and Eric Siggia.

The program DYNAPRO implements a dynamic programming algorithm for predicting
DNA occupancies by arbitrary objects whose interaction energies with DNA are
known for each possible binding position.

The DYNAPRO method and its applications are described in the following
paper:

******************************************************************/

#ifndef _stats_h_
#define _stats_h_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <vector>
#include <string>
#include <math.h>
#include <iostream>
#include <fstream>

/*  This file is for simple statistics functions manipulating data in STL vectors */

double ave(std::vector<double> &c);
double covar(std::vector<double> &c1, std::vector<double> &c2);
double var(std::vector<double> &c);

#endif

